lsp-types-2.0.2.0: Haskell library for the Microsoft Language Server Protocol, data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.IxMap

# Documentation

class Ord (Base f) => IxOrd f where #

Associated Types

type Base f #

Methods

toBase :: forall a. f a -> Base f #

#### Instances

Instances details

IxOrd (LspId :: Method f 'Request -> Type) # |
Instance details Defined in Language.LSP.Protocol.Message.LspId Associated Types type Base LspId # Methods toBase :: forall (a :: k). LspId a -> Base LspId #

newtype IxMap (k :: a -> Type) (f :: a -> Type) #

Constructors

IxMap |
Fields getMap :: Map (Base k) (Some f)

emptyIxMap :: IxMap k f #

insertIxMap :: IxOrd k => k m -> f m -> IxMap k f -> Maybe (IxMap k f) #

lookupIxMap :: IxOrd k => k m -> IxMap k f -> Maybe (f m) #

pickFromIxMap :: IxOrd k => k m -> IxMap k f -> (Maybe (f m), IxMap k f) #